%define pear_name Image_Graph

Summary: A package for displaying (numerical) data as a graph/chart/plot.
Name: php-pear-image-graph
Version: 0.7.2
Release: 1tr
Group: Trustix Official
Source: http://download.pear.php.net/package/%{pear_name}-%{version}.tgz
License: LGPL
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: php-pear
Requires: php-pear-image-canvas >= 0.3.0
Requires: php-pear

%description
Image_Graph provides a set of classes that creates graphs/plots/charts
based on (numerical) data. Many different plot types are supported: Bar,
line, area, step, impulse, scatter, radar, pie, map, candlestick, band,
box & whisker and smoothed line, area and radar plots.

%prep
[ -f package*.xml ] && rm $RPM_BUILD_DIR/package*.xml
%setup -q -n %{pear_name}-%{version}
mv ../package.xml %{pear_name}.xml

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

/usr/bin/pear install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml
install -m 644 %{pear_name}.xml $RPM_BUILD_ROOT/usr/lib/php/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%post
/usr/bin/pear install --nodeps --soft --force --register-only \
    /usr/lib/php/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/pear uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,0755)
%doc docs/*
%{_libdir}/php/Image/Graph.php
%{_libdir}/php/Image/Graph
%{_libdir}/php/%{pear_name}.xml
%{_libdir}/php/tests/%{pear_name}

%changelog
* Thu Oct 04 2007 Nived Gopalan <nived at trustix dot org> 0.7.2-1tr
- Initial release.

